Summary:	IBM JFS utility programs
Name:		jfsutils
Version:	1.1.15
Release:	%mkrel 10
License:	GPLv3
Group:		System/Kernel and hardware
URL:		http://jfs.sourceforge.net/
Source0:	http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
Patch0:		jfsutils-1.1.12-uuid.patch
Patch1:		jfsutils-1.1.15-inttypes.patch
Patch2:		jfsutils-1.1.15-string-literal.diff
Patch3:		jfsutils-1.1.15-sysmacros.patch
Patch4:		jfsutils-1.1.15-mga-multiple-def.patch
Obsoletes:	jfsprogs < %version-%release
Provides:	jfsprogs = %version-%release
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%prep
%autosetup -p1

%build
%configure	--sbindir=%{_sbindir}
%make_build

%install
%make_install

%files
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Sun May 24 2020 danf <danf> 1.1.15-10.mga8
+ Revision: 1587159
- Fix multiple definitions error with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1.1.15-9.mga8
+ Revision: 1513733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 26 2018 daviddavid <daviddavid> 1.1.15-8.mga7
+ Revision: 1305965
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.1.15-7.mga6
+ Revision: 938323
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.15-6.mga5
+ Revision: 750186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.15-5.mga5
+ Revision: 680795
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.15-4.mga4
+ Revision: 521037
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 1.1.15-3.mga3
+ Revision: 388418
- Fix build (patch from Arch Linux)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.1.15-2.mga2
+ Revision: 131084
- patch 2: further more string literal fixes
- patch 2: more string literal fixes
- new release
- drop patch 1 (merged upstream)
- fix tarball URL

* Sat Apr 30 2011 misc <misc> 1.1.13-4.mga1
+ Revision: 93880
- increase release to update from mandriva

* Wed Feb 09 2011 ennael <ennael> 1.1.13-3.mga1
+ Revision: 49533
- remove manbo macro
- imported package jfsutils

